composite,amsr-method {oce} | R Documentation

## Create a composite of amsr satellite data

### Description

Items within the `data` slots of the objects that are supplied as arguments are averaged in a way that makes sense for the object class, i.e. taking into account the particular bad-data codes of that particular class.

### Usage

    ## S4 method for signature 'amsr'
    composite(object, ...)

### Arguments

`object` | An object inheriting from amsr-class.
`...` | Other amsr objects.

### Details

Form averages for each item in the `data` slot of the supplied objects, taking into account the bad-data codes. If none of the objects has good data at any particular pixel (i.e. particular latitude and longitude), the resultant will have the bad-data code of the last item in the argument list. The metadata in the result are taken directly from the metadata of the final argument, except that the filename is set to a comma-separated list of the component filenames.

### See Also

Other things related to `amsr` data: `[[<-,amsr-method`, `amsr-class`, `download.amsr`, `plot,amsr-method`, `read.amsr`, `subset,amsr-method`, `summary,amsr-method`

Other functions that create composite objects: `composite,list-method`, `composite`

[Package oce version 0.9-22 Index]